List Regions

GET/store/:storeCode/regions
publishable key

Retrieve a paginated list of regions.

Path Parameters
storeCoderequiredstring

Store slug in the URL (first argument to every SDK store method).

Query Parameters
limitnumber

Maximum number of items to return.

offsetnumber

Number of items to skip before collecting the result set.

orderstring

Field to sort by. Prefix with `-` for descending order (e.g. `-created_at`).

fieldsstring

Comma-separated fields to include. Prefix with `*` to expand a relation (e.g. `id,*variants`).

qstring

Search query.

idstring | string[]

Filter by ID(s).

namestring

Filter by name.

currency_codestring

Filter by currency code.

Response

Status

200OK

Schema

Copy
HttpTypes.StoreRegionListResponse

Properties

regionsrequiredStoreRegion[]

List of regions.

countrequirednumber

Total count.

offsetrequirednumber

Offset applied.

limitrequirednumber

Limit applied.